nxt.http

## Class SetPhasingAssetControl

- java.lang.Object
- - nxt.http.APIServlet.APIRequestHandler
  - - nxt.http.CreateTransaction
    - - nxt.http.SetPhasingAssetControl

-     public final class SetPhasingAssetControl
      extends CreateTransaction

  Sets a restriction on certain asset that blocks transactions operating with this asset unless they are phased with certain parameters. If no control is currently set for the specified asset, the sender must the be asset issuer.

  Parameters

  - assetId - The asset
  - control* - If controlParams is missing, the asset control parameters can be specified one-by-one, without using JSON, with prefix "control" (to differentiate from the parameters used to phase the transaction)
  - controlParams - A JSON with all phasing parameters. Use the parsePhasingParams API to get this JSON. If provided, all control* parameters are ignored

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class nxt.http.CreateTransaction

      `CreateTransaction.CreateTransactionParameters`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isIgnisOnly()`
    `protected org.json.simple.JSONStreamAware` | `processRequest(javax.servlet.http.HttpServletRequest request)`

    - ### Methods inherited from class nxt.http.CreateTransaction

      `allowRequiredBlockParameters, createTransaction, getCommonParameters, isChainSpecific, requirePost, transactionParameters`

    - ### Methods inherited from class nxt.http.APIServlet.APIRequestHandler

      `getAPITags, getFileParameter, getParameters, isPassword, isTextArea, processRequest, requireBlockchain, requireFullClient, requirePassword, startDbTransaction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### processRequest

          protected org.json.simple.JSONStreamAware processRequest(javax.servlet.http.HttpServletRequest request)
                                                            throws NxtException

      Specified by:
        `processRequest` in class `APIServlet.APIRequestHandler`
      Throws:
        `NxtException`

    - #### isIgnisOnly

          public boolean isIgnisOnly()

      Overrides:
        `isIgnisOnly` in class `APIServlet.APIRequestHandler`